# Resend Receipt Resends the pledge receipt Endpoint: POST /pledges/{tenantId}/process Version: v1-2025-04-18 Security: knox-authorizer ## Path parameters: - `tenantId` (string, required) The tenant ## Request fields (application/json): - `donor_info` (object) Optional info for public pledges - `electronic_payment_info` (object) The payment info - `pledge_payload` (object, required) - `pledge_payload.amount` (number, required) Gift amount - `pledge_payload.anonymous` (boolean) Anonymous - `pledge_payload.appeal_id` (string) The id for the appeal associated with the gift - `pledge_payload.campaign_id` (string) The id for the campaign associated with the gift - `pledge_payload.contact_id` (string) The rolodex contact id for the gift giver - `pledge_payload.cover_transaction_costs` (boolean) If selected, the donor covers the transaction fees - `pledge_payload.currency_code` (string) The currency code of the gift - `pledge_payload.currency_symbol` (string) Currency - `pledge_payload.custom_field_values` (array) - `pledge_payload.custom_field_values.boolean_value` (boolean) The boolean value - `pledge_payload.custom_field_values.custom_field_id` (string) The unique identifier of the custom field - `pledge_payload.custom_field_values.file_url_value` (string) The pointer to a file value - `pledge_payload.custom_field_values.list_value` (array) The list value - `pledge_payload.custom_field_values.numeric_value` (number) The numeric value - `pledge_payload.custom_field_values.string_value` (string) The string value of the custom field - `pledge_payload.custom_field_values.table_value` (array) A list of objects (a table) - `pledge_payload.donor_type` (string, required) The donor type for the gift Enum: "contact", "organization" - `pledge_payload.fund_id` (string, required) The id for the fund associated with the gift - `pledge_payload.giving_process_id` (string) The process of that led to the gift - `pledge_payload.has_splits` (boolean) If true, this gift is split into different funds - `pledge_payload.installment_plan_id` (string, required) The installment plan for the pledge - `pledge_payload.notes` (string) Notes about the gift - `pledge_payload.organization_id` (string) The organization id associated with this gift - `pledge_payload.premium_assignment` (string) Enum: "assigned", "declined by donor", "not applicable" - `pledge_payload.premium_fair_market_value` (number) The amount of any premiums associated with the gift - `pledge_payload.premium_id` (string) If the user has selected a premium it is here - `pledge_payload.shipping_address` (object) A complete address - `pledge_payload.shipping_address.city` (string) The city of the address - `pledge_payload.shipping_address.country` (string) The country ISO code - `pledge_payload.shipping_address.country_name` (string) The full name of hte country - `pledge_payload.shipping_address.county` (string) The county - `pledge_payload.shipping_address.latitude` (number) - `pledge_payload.shipping_address.line1` (string) The first line of the address - `pledge_payload.shipping_address.line2` (string) The second line of the address - `pledge_payload.shipping_address.line3` (string) The third line of the address - `pledge_payload.shipping_address.longitude` (number) - `pledge_payload.shipping_address.postal_code` (string) The zip/postal code - `pledge_payload.shipping_address.state` (string) The state/province of the address - `pledge_payload.shipping_address.time_zone_id` (string) - `pledge_payload.splits` (array) An array of fund allocations for this gift - `pledge_payload.splits.amount` (number, required) The amount for this allocation of the gift - `pledge_payload.splits.fund_id` (string, required) The id for the fund associated with the gift allocation - `pledge_payload.tribute_gift` (boolean) Whether or not this is a tribute gift - `pledge_payload.tribute_gift_info` (object) - `pledge_payload.tribute_gift_info.address` (object) A complete address - `pledge_payload.tribute_gift_info.contact_id` (string) The optional linked contact - `pledge_payload.tribute_gift_info.details` (string) Additional details - `pledge_payload.tribute_gift_info.email_address` (string) - `pledge_payload.tribute_gift_info.inform_honoree` (boolean) If true, the honoree is informed about the gift - `pledge_payload.tribute_gift_info.inform_honoree_by` (string) Enum: "email", "mail" - `pledge_payload.tribute_gift_info.message` (string) Message to send when notifying - `pledge_payload.tribute_gift_info.name` (string, required) The name - `pledge_payload.tribute_gift_info.type` (string, required) Enum: "in honor of", "in memory of" ## Response 200 fields (application/json): - `executionArn` (string, required) The arn of the execution - `notification_channel` (string) The id of the channel where progress updates will be posted - `notification_publishKey` (string) The publish key for the channel where progress updates will be posted - `notification_subscribeKey` (string) The subscribe key for the channel where progress updates will be posted - `start_date` (string) The start date of the execution ## Response 400 fields ## Response 401 fields ## Response 403 fields ## Response 404 fields ## Response 429 fields ## Response 500 fields